import request from '@/utils/request'

// 查询导出任务列表
export function listExportTask(query) {
  return request({
    url: '/his/exportTask/list',
    method: 'get',
    params: query
  })
}

// 查询导出任务详细
export function getExportTask(taskId) {
  return request({
    url: '/his/exportTask/' + taskId,
    method: 'get'
  })
}

// 新增导出任务
export function addExportTask(data) {
  return request({
    url: '/his/exportTask',
    method: 'post',
    data: data
  })
}

// 修改导出任务
export function updateExportTask(data) {
  return request({
    url: '/his/exportTask',
    method: 'put',
    data: data
  })
}

// 删除导出任务
export function delExportTask(taskId) {
  return request({
    url: '/his/exportTask/' + taskId,
    method: 'delete'
  })
}

// 导出导出任务
export function exportExportTask(query) {
  return request({
    url: '/his/exportTask/export',
    method: 'get',
    params: query
  })
}